[arch-commits] Commit in clisp/repos (extra-i686 extra-i686/PKGBUILD)

Eric Belanger eric at archlinux.org
Thu May 29 00:34:18 EDT 2008


    Date: Thursday, May 29, 2008 @ 00:34:18
  Author: eric
Revision: 2204

Merged revisions 2-2203 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/clisp/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r2199 | eric | 2008-05-28 23:46:17 -0400 (Wed, 28 May 2008) | 2 lines
  
  upgpkg: clisp 2.45-1
      Upstream update, updated configure options, minor PKGBUILD cleanup
........

Modified:
  clisp/repos/extra-i686/	(properties)
  clisp/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)


Property changes on: clisp/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /clisp/trunk:1
   + /clisp/trunk:1-2203

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-05-29 04:31:35 UTC (rev 2203)
+++ extra-i686/PKGBUILD	2008-05-29 04:34:18 UTC (rev 2204)
@@ -1,24 +1,26 @@
 # $Id$
 # Maintainer: dorphell <dorphell at archlinux.org>
 pkgname=clisp
-pkgver=2.41
-pkgrel=2
+pkgver=2.45
+pkgrel=1
 pkgdesc="ANSI Common Lisp interpreter, compiler and debugger"
 arch=('i686' 'x86_64')
 license=('GPL')
 url="http://clisp.cons.org/"
 depends=('readline' 'libsigsegv')
-source=(http://dl.sourceforge.net/sourceforge/clisp/clisp-${pkgver}.tar.bz2)
-md5sums=('3a7a00e82ebeeb72a75a032f84c36c6c')
+makedepends=('ffcall')
+options=('!makeflags')
+source=(http://downloads.sourceforge.net/sourceforge/clisp/clisp-${pkgver}.tar.bz2)
+md5sums=('1f26ef23ca310366e328df925c23c663')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
   unset CFLAGS CXXFLAGS
-  ./configure --prefix=/usr --prefix=/usr --with-readline --with-gettext --with-dynamic-ffi src
+  ./configure --prefix=/usr --prefix=/usr --with-readline --with-ffcall src
   cd src
-  ./makemake --prefix=/usr --prefix=/usr --with-readline --with-gettext --with-dynamic-ffi > Makefile
-  make -j1 || return 1
+  ./makemake --prefix=/usr --prefix=/usr --with-readline --with-ffcall > Makefile
+  make || return 1
   sed -i 's,http://www.lisp.org/HyperSpec/,http://www.lispworks.com/reference/HyperSpec/,g' config.lisp
-  make -j1 || return 1
+  make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
 }





More information about the arch-commits mailing list